metaHTML

# Class: htmlAccountPageButton

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlButton
          |
          --htmlAccountPageButton

Prints a button for the account pages.

### Methods

- __construct

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlButton

htmlButton::$isImageButton
htmlButton::$name
htmlButton::$value

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlButton

htmlButton::__construct()
  Constructor.
htmlButton::generateHTML()
  Prints the HTML code for this element.
htmlButton::setIconClass()
  Sets an additional icon for a text button.
htmlButton::setIsEnabled()
  Specifies if this component is enabled and accepts user modification.
htmlButton::setTitle()
  Sets the button title (tooltip).

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 749]
Prints a button for the account pages.
[ Top ]

### Class Methods

### constructor __construct [line 760]

`htmlAccountPageButton __construct( String $targetModule, String $targetPage, String $identifier, String $value, [String $isImageButton = false])`

Constructor
Overrides htmlButton::__construct() (Constructor.)

#### Parameters:

String | $targetModule | module name which renders next page
String | $targetPage | name of next page
String | $identifier | identifier for button
String | $value | button text or image (16x16px, relative to graphics folder)
String | $isImageButton | image or text button (default text)

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:46 +0100 by phpDocumentor 1.4.1